Package Details: gns3-server 2.2.19-1

Git Clone URL: https://aur.archlinux.org/gns3-server.git (read-only, click to copy)
Package Base: gns3-server
Description: GNS3 network simulator, Server package
Upstream URL: https://github.com/GNS3/gns3-server
Licenses: GPL3
Groups: gns3
Submitter: korjjj
Maintainer: buzo
Last Packager: buzo
Votes: 64
Popularity: 0.120416
First Submitted: 2014-05-13 17:40
Last Updated: 2021-03-06 13:46

Latest Comments

1 2 3 4 5 6 ... Next › Last »

buzo commented on 2021-01-22 13:22

d72: I guess you built the package with Python 3.8, but you try to run it with Python 3.9. In that case, you just need to rebuild gns3-server.

d72 commented on 2021-01-21 21:25

Any idea what's going wrong here?

Traceback (most recent call last):
  File "/usr/bin/gns3server", line 33, in <module>
    sys.exit(load_entry_point('gns3-server==2.2.17', 'console_scripts', 'gns3server')())
  File "/usr/bin/gns3server", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
  File "/usr/lib/python3.9/importlib/metadata.py", line 524, in distribution
    return Distribution.from_name(distribution_name)
  File "/usr/lib/python3.9/importlib/metadata.py", line 187, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: gns3-server

Everything on the system is up to date. Works on my other Arch box

nhannht commented on 2020-12-11 07:16

buzo: this is about gns3-server-git

Now I reinstall gns3-server. It tell problem about "aiohttp" even I had aiohttp installed

Solution: pip install aiohttp-utils => solved.

buzo commented on 2020-12-09 16:26

nhannht: How did you build that package? I checked requires.txt again, and it contains psutil>=5.6.7, not ==.

nhannht commented on 2020-12-09 15:30

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 567, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 884, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 775, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (psutil 5.7.3 (/usr/lib/python3.9/site-packages), Requirement.parse('psutil==5.6.7'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/gns3server", line 33, in <module>
    sys.exit(load_entry_point('gns3-server==2.2.17', 'console_scripts', 'gns3server')())
  File "/bin/gns3server", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/gns3server/main.py", line 29, in <module>
    import gns3server.utils.get_resource
  File "/usr/lib/python3.9/site-packages/gns3server/utils/get_resource.py", line 19, in <module>
    import pkg_resources
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3239, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3222, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3251, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 569, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 582, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 770, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'psutil==5.6.7' distribution was not found and is required by gns3-server

Install gns3server-git version bug too. I have psutil 5.7.3 installed

Will2k commented on 2020-09-09 11:13

Ah! Thank you theinterwebthing!

theinterwebthing commented on 2020-09-09 11:04

Close the GUI, then killall gns3server Start GUI again.

Will2k commented on 2020-09-09 09:08

I'm currently receiving the following error.

Error when connecting to the GNS3 server:
Client version 2.2.13 is not the same as server (controller) version 2.2.12

Using gns3-gui 2.2.13-1 & gns3-server 2.2.13-1. Any suggestions on how to fix this?

buzo commented on 2020-08-16 09:54

Thanks theinterwebthing, fixed that with the update to 2.2.12.

theinterwebthing commented on 2020-08-03 00:18

Unable to start

   File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 785, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'py-cpuinfo==6.0.0' distribution was not found and is required by gns3-server 

Updating psutil==5.7.0 to psutil==5.7.1 and py-cpuinfo==6.0.0 to py-cpuinfo==7.0.0 in /usr/lib/python3.8/site-packages/gns3_server-2.2.11-py3.8.egg-info/requires.txt solves the issue.

Note these are hardcoded upstream in the requirements.txt